import Fingerprint2 from 'fingerprintjs2';

import getNavigatorFingerprint from './navigator';


const browserprint = async () => {
  const fingerprintjs2 = await new Promise(resolve => (
    Fingerprint2.get(resolve)
  ));
  const navigator = getNavigatorFingerprint();
  return {
    fingerprintjs2,
    navigator,
    version: VERSION,
  };
};

export default browserprint;
